# RequipMe

## Instantly re-equip from your tombstone! 

OK. You’ve died. It happens to us all. But that two-star that annihilated you is camping your tombstone. You don’t have time to leisurely dress – you need your armor and weapons – _NOW_!

RequipMe will automatically take everything from your tombstone, and instantly equip your best armor, weapons and Megingjord to give you your best chance of survival.

But what about if you've equiped your backup gear or picked up a few items on your way to your corpse and there's not enough room for your tombstone contents?

RequipMe still gets your tombstone contents, automatically re-equips your best gear, and moves your 'extra' inventory into your tombstone for later retrieval. If you don't want to leave a tombstone standing, you can configure RequipMe to drop the 'extra' items instead.

Of course, you can still trigger RequipMe with a keyboard shortcut, and it will equip you with the best of whatever is in your inventory at the time, even if you’re not in danger.

You can prioritize the weapon type to equip. Select one-handed, two-handed and bow, in any order. RequipMe will find the best weapon of a type, in the order you specify. If it doesn’t find a weapon of the first type, it will move to the second, and if needed, the third. If it slots a one-handed weapon, RequipMe will also equip your best shield in your off-hand (if you have a shield in your inventory, of course)

**COMING SOON! RequipMe with smarter tombstone management; can configure what to do with your existing inventory when you activate the tombstone. Also corpse run bonus will be added to your carry weight. You can download the beta on Discord.**

### New

- 0.1.6: Updated for Hildir's Request

## Configuration

### General

- **WeaponPriority**: The weapon types, in the order you want RequipMe to try to equip. A comma separated list of OneHanded, TwoHanded and Bow. The best shield (if it exists) will automatically be equipped along with a one-handed weapon. Default is: OneHanded,TwoHanded,Bow
- **EquipShortcut**: The keystroke to manually trigger RequipMe. Default is LeftAlt+Z

### In-game reconfiguration

You can use Configuration Manager (or similar) mod to change the configuration without exiting the game. You can also force RequipMe to update its configuration from the chat window (press Enter) then type:

    /requipme config 

## Notes

- RequipMe will select your weapons based on the actual damage you can deal with the weapon, using your current skill with the weapon type. Your skill with a weapon may allow for higher damage than a ‘better’ weapon that only has the potential for higher damage.
- The highest-level armor of a lesser type may have a better armor value than the lowest-level of a greater type. e.g., level 4 leather vs. level 1 bronze. In this case the higher value (but lesser type) will be equipped by RequipMe.

### Compatibility issues & defects

- If you find a compatibility issue you can post it on NexusMods. Be sure to include the mod name and version you think may be incompatible.
- If you have a bug please report it on NexusMods. If you do post a bug report, please make sure to include the following:
    - Your version of this mod
    - What you were doing, or attempting to do when it happened
    - If it's repeatable - i.e., can you duplicate it?
    - The exact behavior you observed (or didn't observe)
    - If possible, post a capture of the log file with errors (errors always begin with this mod's name) on Discord


You can find all Neobotics released mods on: 
- Thunderstore: https://tinyurl.com/NeoboticsOnThunderstore 
- Nexus Mods: https://tinyurl.com/NeoboticsOnNexus

Your comments and feedback are always welcome. Post on NexusMods or Discord: https://tinyurl.com/NeoboticsOnDiscord